<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {  Schema::disableForeignKeyConstraints(); 
        Schema::create('personnel_enseignants', function (Blueprint $table) {
          
            
            
            $table->id();
            $table->unsignedBigInteger('charge_id');
            $table->foreign('charge_id')->references('id')->on('charges_potentielle__profs')
            ->constrained()
            ->onUpdate('restrict')
            ->onDelete('restrict'); 
            $table->unsignedBigInteger('etablissement_id');
            $table->foreign('etablissement_id')->references('id')->on('etablissements')
            ->constrained()
            ->onUpdate('restrict')
            ->onDelete('restrict'); 
            $table->unsignedBigInteger('discipline_id');
            $table->foreign('discipline_id')->references('id')->on('disciplines')
            ->constrained()
            ->onUpdate('restrict')
            ->onDelete('restrict'); 
           
            $table->integer('nombre_profs'); 
            $table->unsignedBigInteger('annee_id');
            $table->foreign('annee_id')->references('id')->on('annees')
            ->constrained()
            ->onUpdate('restrict')
            ->onDelete('restrict'); 
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('personnel_enseignants');
    }
};
